<?php

namespace App\Generated\V1_1\Messages\Payment;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\Http\Messages\Message;
use Kamicloud\StubApi\Utils\Constants;

class FetchAppWechatPayParamsMessage extends Message
{
    use ValueHelper;

    protected $orderId;
    protected $result;

    /**
     * @return int
     */
    public function getOrderId()
    {
        return $this->orderId;
    }

    public function requestRules()
    {
        return [
            ['orderId', 'order_id', 'bail|integer', Constants::INTEGER, null],
        ];
    }

    public function responseRules()
    {
        return [
            ['result', 'result', 'bail', null, null],
        ];
    }

    public function setResponse($result)
    {
        $this->result = $result;
    }

}
